#include "locmin.h"
#include <utility>
using namespace std;

pair <int, int> find_locmin_point(int N, int M) {
    long long i,j,l1=-1,l2=-1,max1=1e18,aux;
    for(j=1;j<=M;j++){
        aux=value(1,j);
        if(l1!=-1){
            if(l1>l2 && l2<aux){
                return {1,j-1};
            }
        }
        l1=l2;l2=aux;
    }
    return {1,1};
}
